Requerimientos mínimos para la instalación de Infinitum Mail. 

Windows Vista, Windows 7 y 8:
  • IE 9.0 o posterior. 
  • Versión Firefox 19 o posterior. 
  • Google Chrome versión 25 o posterior.

Mac OS X 10.4, 10.5, y 10.6:
  • Versión Firefox 19 o posterior. 
  • Safari versión 4.0 o posterior.
  • Google Chrome versión 25 o posterior.
Nota: Aunque Webmail es compatible con todos los navegadores señalados, te recomendamos actualizarlos a su última versión (no-beta)
para una experiencia más veloz y mayor protección contra virus y programas espía.

Requisitos adicionales:
  • Activar JavaScript.  
  • Habilitar la función de aceptar cookies.
También puedes descargar la app de Infinitum Mail disponible para:
  • iOS iPhone (no aplica para iPad).
  • Android.